Name:           rssdler
Version:        0.4.2
Release:        16%{?dist}
Summary:        Downloads enclosures and other objects linked to from various types of RSS feeds

Group:          Applications/Text
License:        GPLv2
URL:            http://code.google.com/p/rssdler/
Source0:        http://rssdler.googlecode.com/files/rssdler-%{version}.tar.gz
Source1:        gpl-2.0.txt
Source2:        rssdler-example-config.txt
BuildArch:      noarch

BuildRequires:  python2-devel python2-setuptools python2-feedparser
Requires:       python2-feedparser python2-mechanize

%description
A utility to automatically download enclosures and other objects
linked to from various types of RSS feeds.
videocasts, and torrents.

Features include:
- filtering using regular expressions and/or file size
- global, feed, and filter based download locations
- can run in the background (at least on GNU/Linux) like a daemon
- various logging and verbosity levels
- support for sites protected with cookies (LWP/MSIE/Mozilla/Safari/Firefox3)
- global and feed scan times
- respects 'ttl' tag in feeds that have them
- call custom functions after a download or after a scan of the feed
(episode advancement!)
- generates an RSS feed of what it has downloaded.

Because it is written in Python, it is highly cross-platform compatible.
It tries to be memory efficient, with reports of it functioning on
consumer routers. Minimal external dependencies help keep that a reality.
It became popular when people started using it in conjunction with
rTorrent for torrent broadcatching.

%prep
%setup -q -n %{name}042


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT
install %{SOURCE1} ./
install %{SOURCE2} ./
chmod a-x rssdler-example-config.txt
chmod a-x gpl-2.0.txt

pushd $RPM_BUILD_ROOT%{python2_sitelib}
sed '/\/usr\/bin\/env/d' rssdler.py > rssdler.py.new &&
touch -r rssdler.py rssdler.py.new &&
mv rssdler.py.new rssdler.py
popd

%files
%doc README gpl-2.0.txt rssdler-example-config.txt
%{_bindir}/%{name}
%{python2_sitelib}/%{name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{name}.py
%{python2_sitelib}/%{name}.py?

%changelog
* Fri Jul 20 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4.2-16
- Update for https://fedoraproject.org/wiki/Changes/Move_usr_bin_python_into_separate_package

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 31 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.4.2-13
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-10
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 06 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4.2-3
- spec bump for gcc 4.7 rebuild

* Wed May 25 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4.2-2
- Remove buildroot tag and clean section
- added an example config in docs

* Fri Feb 18 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4.2-1
- initial RPM build
